ServerEvents.recipes(event => {
    event.remove({id: 'pneumaticcraft:pressure_chamber/compressed_stone'})
    event.remove({id: 'pneumaticcraft:explosion_crafting/compressed_iron_ingot'})
    event.remove({id: 'pneumaticcraft:explosion_crafting/compressed_iron_block'})
    event.remove({id: 'pneumaticcraft:pressure_chamber/compressed_iron_ingot'})
    event.remove({id: 'pneumaticcraft:pressure_chamber/compressed_iron_block'})
    event.remove({id: 'pneumaticcraft:pressure_chamber/capacitor'})
    event.remove({id: 'pneumaticcraft:pressure_chamber/transistor'})
    event.remove({id: 'pneumaticcraft:pressure_chamber/empty_pcb'})
    event.remove({id: 'pneumaticcraft:printed_circuit_board'})
    event.remove({id: 'pneumaticcraft:reinforced_stone'})
    event.remove({id: 'pneumaticcraft:pressure_tube'})
    event.remove({id: 'pneumaticcraft:pressure_chamber_wall'})
    event.remove({id: 'pneumaticcraft:liquid_compressor'})
    event.remove({id: 'pneumaticcraft:advanced_air_compressor'})
    event.remove({id: 'pneumaticcraft:advanced_liquid_compressor'})
    event.remove({id: 'pneumaticcraft:air_compressor'})
    event.remove({id: 'pneumaticcraft:flux_compressor'})
    event.remove({id: 'pneumaticcraft:thermo_plant/upgrade_matrix'})
})

ServerEvents.recipes(event => {
    //Compressed Stone
  event.custom({
    "type": "pneumaticcraft:pressure_chamber", 
      "inputs": [
        {
          "type": "pneumaticcraft:stacked_item",
          "count": 1,
          "item": "bloodmagic:blankrune"
        },
    ],
          "pressure": 2.5, 
          "results": [{"item": "pneumaticcraft:compressed_stone"}]
  }).id('pneumaticcraft:compressed_stone')

  //Compressed Iron - Explosion Crafting
  event.custom({
    "type": "pneumaticcraft:explosion_crafting",
    "input": {
      "tag": "forge:ingots/steel"
    },
    "loss_rate": 20,
    "results": [
      {
        "item": "pneumaticcraft:ingot_iron_compressed"
      }
    ]
  }).id('pneumaticcraft:explosion/ingot_iron_compressed')

    //Compressed Iron - Pressure Chamber
    event.custom({
      "type": "pneumaticcraft:pressure_chamber", 
        "inputs": [
          {
            "type": "pneumaticcraft:stacked_item",
            "count": 1,
            "tag": "forge:ingots/steel"
          },
      ],
            "pressure": 2.5, 
            "results": [{"item": "pneumaticcraft:ingot_iron_compressed"}]
    }).id('pneumaticcraft:pressure/ingot_iron_compressed')

    //Compressed Iron Block - Explosion Crafting
    event.custom({
      "type": "pneumaticcraft:explosion_crafting",
      "input": {
        "tag": "forge:storage_blocks/steel"
      },
      "loss_rate": 20,
      "results": [
        {
          "item": "pneumaticcraft:compressed_iron_block"
        }
      ]
    }).id('pneumaticcraft:explosion/compressed_iron_block')
  
    //Compressed Iron Block - Pressure Chamber
    event.custom({
      "type": "pneumaticcraft:pressure_chamber", 
        "inputs": [
          {
            "type": "pneumaticcraft:stacked_item",
            "count": 1,
            "tag": "forge:storage_blocks/steel"
          },
      ],
            "pressure": 2.5, 
            "results": [{"item": "pneumaticcraft:compressed_iron_block"}]
    }).id('pneumaticcraft:pressure/compressed_iron_block')
  
    //Capacitor
    event.custom({
      "type": "pneumaticcraft:pressure_chamber", 
        "inputs": [
          {
            "type": "pneumaticcraft:stacked_item",
            "count": 2,
            "tag": "forge:nuggets/iesnium"
          },
          {
            "type": "pneumaticcraft:stacked_item",
            "count": 3,
            "tag": "forge:slimeballs"
          },
          {
            "type": "pneumaticcraft:stacked_item",
            "count": 2,
            "item": "pneumaticcraft:plastic"
          },
      ],
            "pressure": 2.5, 
            "results": [{"item": "pneumaticcraft:capacitor"}]
    }).id('pneumaticcraft:pressure/capacitor')
  
    //Transistor
    event.custom({
      "type": "pneumaticcraft:pressure_chamber", 
        "inputs": [
            {
              "type": "pneumaticcraft:stacked_item",
              "count": 2,
              "tag": "forge:nuggets/energetic_alloy"
            },
            {
              "type": "pneumaticcraft:stacked_item",
              "count": 3,
              "tag": "forge:ingots/redstone_alloy"
            },
            {
              "type": "pneumaticcraft:stacked_item",
              "count": 2,
              "item": "pneumaticcraft:plastic"
            },
      ],
            "pressure": 2.5, 
            "results": [{"item": "pneumaticcraft:transistor"}]
    }).id('pneumaticcraft:pressure/transistor')
  
    //Empty PCB
    event.custom({
      "type": "pneumaticcraft:pressure_chamber", 
        "inputs": [
            {
              "type": "pneumaticcraft:stacked_item",
              "count": 3,
              "tag": "forge:nuggets/energetic_alloy"
            },
            {
              "type": "pneumaticcraft:stacked_item",
              "count": 2,
              "item": "minecraft:redstone_torch"
            },
            {
              "type": "pneumaticcraft:stacked_item",
              "count": 1,
              "item": "pneumaticcraft:plastic"
            },
      ],
            "pressure": 2.5, 
            "results": [{"item": "pneumaticcraft:empty_pcb"}]
    }).id('pneumaticcraft:pressure/empty_pcb')
  
    //Finished PCB
    event.custom({
      "type": "pneumaticcraft:pressure_chamber", 
        "inputs": [
            {
              "type": "pneumaticcraft:stacked_item",
              "count": 1,
              "item": "pneumaticcraft:unassembled_pcb"
            },
            {
              "type": "pneumaticcraft:stacked_item",
              "count": 2,
              "item": "pneumaticcraft:transistor"
            },
            {
              "type": "pneumaticcraft:stacked_item",
              "count": 2,
              "item": "pneumaticcraft:capacitor"
            },
      ],
            "pressure": 2.5, 
            "results": [{"item": "pneumaticcraft:printed_circuit_board"}]
    }).id('pneumaticcraft:pressure/printed_circuit_board')

    //Reinforced Stone
      event.shaped('4x pneumaticcraft:reinforced_stone',
        ['121','232','121'], {
          1: 'bloodmagic:blankrune', 
          2: 'ars_nouveau:sourcestone',
          3: 'occultism:otherstone'
      }).id('pneumaticcraft:reinforced_stone')

    //Pressure Tube
      event.shaped('2x pneumaticcraft:pressure_tube',
        ['   ','121','   '], {
          1: '#forge:ingots/compressed_iron', 
          2: '#enderio:fused_quartz'
      }).id('pneumaticcraft:pressure_tube')

    //Pressure Chamber Wall
      event.shaped('8x pneumaticcraft:pressure_chamber_wall',
        ['111','1 1','111'], {
          1: 'pneumaticcraft:reinforced_bricks'
      }).id('pneumaticcraft:pressure_chamber_wall')

    //Heat Frame
      event.shaped('pneumaticcraft:heat_frame',
        ['111','121','111'], {
          1: 'pneumaticcraft:reinforced_bricks',
          2: 'ironfurnaces:diamond_furnace'
      }).id('pneumaticcraft:heat_frame')

    //Liquid Compressor
      event.shaped('pneumaticcraft:liquid_compressor',
        ['111', '232', '454'], {
          2: 'pneumaticcraft:pressure_tube',
          1: '#forge:ingots/redstone_alloy',
          4: 'pneumaticcraft:plastic',
          5: 'industrialforegoing:machine_frame_advanced',
          3: 'pneumaticcraft:small_tank'
      }).id('pneumaticcraft:liquid_compressor')

    //Air Compressor
      event.shaped('pneumaticcraft:air_compressor',
        ['UUU', 'SAT', 'SFS'], {
          S: 'pneumaticcraft:reinforced_bricks',
          F: 'industrialforegoing:machine_frame_advanced',
          A: 'pneumaticcraft:air_canister',
          T: 'pneumaticcraft:pressure_tube',
          U: '#forge:ingots/redstone_alloy'
      }).id('pneumaticcraft:air_compressor')

    //Advanced Liquid Compressor
      event.shaped('pneumaticcraft:advanced_liquid_compressor',
        ['CAC', 'TGT', 'CRC'], {
          C: '#forge:ingots/compressed_iron',
          A: 'pneumaticcraft:advanced_pcb',
          T: 'pneumaticcraft:advanced_pressure_tube',
          G: 'pneumaticcraft:liquid_compressor',
          R: 'thermal:upgrade_augment_3'
      }).id('pneumaticcraft:advanced_liquid_compressor')

    //Advanced Air Compressor
      event.shaped('pneumaticcraft:advanced_air_compressor',
        ['CAC', 'TGT', 'CRC'], {
          C: '#forge:ingots/compressed_iron',
          A: 'pneumaticcraft:advanced_pcb',
          T: 'pneumaticcraft:advanced_pressure_tube',
          G: 'pneumaticcraft:air_compressor',
          R: 'thermal:upgrade_augment_3'
      }).id('pneumaticcraft:advanced_air_compressor')

    //Flux Compressor
      event.shaped('pneumaticcraft:flux_compressor',
        ['CRC', 'TGY', 'CRC'], {
          C: '#forge:ingots/compressed_iron',
          T: 'pneumaticcraft:advanced_air_compressor',
          Y: 'pneumaticcraft:advanced_liquid_compressor',
          G: 'industrialforegoing:machine_frame_advanced',
          R: 'thermal:upgrade_augment_3'
      }).id('pneumaticcraft:flux_compressor')

    //Air Canister
      event.shaped('pneumaticcraft:air_canister',
        [' A ', 'BCB', 'BCB'], {
          A: 'pneumaticcraft:pressure_tube',
          B: 'pneumaticcraft:ingot_iron_compressed',
          C: 'extendedcrafting:redstone_ingot'
      }).id('pneumaticcraft:air_canister')

    //Upgrade Matrix
    event.custom({
      type: 'pneumaticcraft:thermo_plant',
      fluid_input: { type: 'pneumaticcraft:fluid', fluid: 'immersiveengineering:biodiesel', amount: 500 },
      item_input: { tag: 'forge:plates/platinum', count: 2 },
      item_output: { item: 'pneumaticcraft:upgrade_matrix', count: 1 },
      pressure: 2.0,
      speed: 0.8
    }).id('pneumaticcraft:upgrade_matrix')

    //Easier Plastic
    event.custom({
    "input": [
      {
        "item": "refinedstorage:silicon"
      },
      {
        "item": "refinedstorage:silicon"
      },
      {
        "item": "refinedstorage:silicon"
      },
      {
        "item": "refinedstorage:silicon"
      }
    ],
    "processingTime": 100,
    "output": {
      "item": "pneumaticcraft:plastic",
      "count": 3
    },
    "inputFluid": "{FluidName:\"pneumaticcraft:plastic\",Amount:1000}",
    "type": "industrialforegoing:dissolution_chamber"
  }).id('pneumaticcraft:dissolution_chamber/plastic')
})